package org.springblade.modules.sjapp.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.sjapp.entity.SjApp;
import org.springblade.modules.sjapp.mapper.SjAppMapper;
import org.springblade.modules.sjapp.service.ISjAppService;
import org.springblade.modules.sjapp.vo.SjAppVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 *  服务实现类
 *
 * @author BladeX
 * @since 2023-01-10
 */
@Service
public class SjAppServiceImpl extends ServiceImpl<SjAppMapper, SjApp> implements ISjAppService {

	@Override
	public IPage<SjAppVO> selectSjAppPage(IPage<SjAppVO> page, SjAppVO sjApp) {
		return page.setRecords(baseMapper.selectSjAppPage(page, sjApp));
	}

	@Override
	public List<Map> consoleSelect(String sql) {
		return baseMapper.consoleSelect(sql);
	}

	@Override
	public boolean consoleUpdate(String sql) {
		return baseMapper.consoleUpdate(sql);
	}

	@Override
	public boolean consoleInsert(String sqlStr) {
		return baseMapper.consoleInsert(sqlStr);
	}

	@Override
	public boolean consoleDelete(String sql) {
		return baseMapper.consoleDelete(sql);
	}

}
